config/routes.rb
HeaderAd::Application.routes.draw do

  #get "corheaders/hbase"
  match 'corheaders/hbase/:headerid', to: 'corheaders#hbase', via: [:get]
  match 'corheaders/count/:headerid', to: 'corheaders#count', via: [:get]
  match 'corheaders/links/:headerid', to: 'corheaders#links', via: [:get]
  # Newsletter
  match 'corheaders/newsletter', to: 'corheaders#newsletter', via: [:get]
  # Analytics 
  match 'header/:id/analytics', to: 'headers#analytics',:as => 'analytics',via: [:get]
  match 'corheaders/renderjs/:headerid', to: 'corheaders#renderjs', via: [:get]

  devise_for :users, :controllers => { :omniauth_callbacks => "users/omniauth_callbacks" }

  authenticated :user do
    root to: "headers#index", :as => "dashbord"
  end

  get "pages/index"
  
  get "/admin" => "admin/base#index", :as => "admin"

  namespace "admin" do

    resources :users

  end
  resources :headers do
  	get :preview, :on => :member
  end

  root to: "pages#index"

end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  protect_from_forgery

  def render404
    render :file => File.join(Rails.root, 'public', '404.html'), :status => 404, :layout => false
    return true
  end

end

app/helpers/application_helper.rb
module ApplicationHelper

  def sortable(column, title = nil)
    title ||= column.titleize
    css_class = (column == sort_column) ? "current #{sort_direction}" : nil
    direction = (column == sort_column && sort_direction == "asc") ? "desc" : "asc"
    link_to title, { :sort => column, :direction => direction }, { :class => css_class }
  end

end

app/views/layouts/application/_flash_messages.html.erb
<% if notice %>
  <div class="alert alert-success adj_show"><button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button><%= notice %></div>
<% end %>

<% if alert %>
  <div class="alert alert-error"><button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button><p><%= alert %></p></div>
<% end %>

app/views/layouts/application/_header.html.erb
<nav class="navbar" role="navigation">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#HeaderAd-navbar-collapse-1">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <%= link_to root_path do %>
        <img src="/assets/logo.png" class="logo">
      <% end %>
    </div>


    <div class="collapse navbar-collapse" id="HeaderAd-navbar-collapse-1">
      <ul class="nav navbar-nav pull-right">
        <% if user_signed_in? %>
            <li><%= link_to "My-Headers", dashbord_path %></li>
            <li><%= link_to "Account settings", edit_user_registration_path %></li>
          <% if current_user.admin? %>
            <li><%= link_to "Admin", admin_path %></li>
          <% end %>
          <li><%= link_to "Sign out", destroy_user_session_path, :method=>'delete' %></li>
        <% else %>
          <li><%= link_to "Sign up", new_user_registration_path, class: "btn"%></li>
          <li><%= link_to "Sign in", new_user_session_path %></li>
          <li><%= link_to "Sign in with Facebook", user_facebook_omniauth_authorize_path(:facebook) %></li>
        <% end -%>
      </ul>
    </div>

  </div>
</nav>